function xnn = nnls(A,b,mu,x0,numIter)
% Syntax:       xnn = nnls(A,b,mu,x0,maxIters)
%               
% Inputs:       A is an (m x n) matrix 
%               
%               b is a vector of length m
%
%               mu is the step size to use and must satisfy
%               0 < mu < 2/norm(A)^2 to guarantee convergence
%
%               x0 is the initial starting vector (of length n) to use
%
%               numIter is the number of iterations to perform
%               
% Outputs:      xnn is a vector of length n containing the approximate solution
