import numpy as np
import matplotlib.pyplot as plt
from mpl_toolkits.mplot3d import Axes3D

# generate two-dimensional data on an affine plane
N = 200
varn = 0.5

w = np.array([3,4])
xx = np.random.rand(N,2)
yy = xx @ w + np.sqrt(varn)*np.random.randn(N)

# plot observed data
fig = plt.figure()
ax = fig.add_subplot(111, projection='3d')
ax.scatter(xx[:,0], xx[:,1], yy, label='observed points')

## Your code
# Fit the data (xx,yy) using a least-squares estimate and plot.
# Call your "fitted" data yyLS.

ax.scatter(xx[:,0], xx[:,1], yyLS, label='LS')

# Now fit the data (xx,yy) using a rank-1 approximation and plot.
# Call the resulting rank-2 matrix of size 3 x N Xhat.

ax.scatter(Xhat[0,:], Xhat[1,:], Xhat[2,:], label='LR')

plt.legend()
plt.show()
